Package picard.sam

# Class CreateSequenceDictionary.CreateSeqDictReferenceArgumentCollection

java.lang.Object
picard.sam.CreateSequenceDictionary.CreateSeqDictReferenceArgumentCollection

All Implemented Interfaces:
  `ReferenceArgumentCollection`

Enclosing class:
  `CreateSequenceDictionary`

public static class CreateSequenceDictionary.CreateSeqDictReferenceArgumentCollection extends Object implements ReferenceArgumentCollection

## Field Summary

Fields
Modifier and Type
Field
Description
`PicardHtsPath`
`REFERENCE`

## Constructor Summary

Constructors
Constructor
Description
`CreateSeqDictReferenceArgumentCollection()`

## Method Summary

Modifier and Type
Method
Description
`PicardHtsPath`
`getHtsPath()`
Returns a PicardHtsPath for the reference input.
`File`
`getReferenceFile()`
This method is retained for backward compatibility with legacy tools that have not been updated to support PicardHtsPath input files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface picard.cmdline.argumentcollections.ReferenceArgumentCollection

`getReferencePath`

## Field Details

### REFERENCE

@Argument(doc="Input reference fasta or fasta.gz", shortName="R") public PicardHtsPath REFERENCE

## Constructor Details

### CreateSeqDictReferenceArgumentCollection

public CreateSeqDictReferenceArgumentCollection()

## Method Details

### getHtsPath

public PicardHtsPath getHtsPath()
Description copied from interface: `ReferenceArgumentCollection`
Returns a PicardHtsPath for the reference input. Maybe be null. Implementers of this interface should override with an appropriate implementation. This currently does not support remote paths set via HtsJdk.Defaults.REFERENCE_FASTA, since that uses a `File` object.

Specified by:
  `getHtsPath` in interface `ReferenceArgumentCollection`
Returns:
  The reference provided by the user, if any, or the default, if any, as a PicardHtsPath. May be null.

### getReferenceFile

public File getReferenceFile()
Description copied from interface: `ReferenceArgumentCollection`
This method is retained for backward compatibility with legacy tools that have not been updated to support PicardHtsPath input files. The preferred methods for accessing the reference file provided on the command line is either getHtsPath() or getReferencePath(). TODO: update tools that call this method to use getHtsPath()

Specified by:
  `getReferenceFile` in interface `ReferenceArgumentCollection`
Returns:
  The reference provided by the user, or the default defined by `htsjdk.samtools.Defaults.REFERENCE_FASTA`. May be null.